# vim: syntax=spec
Name:       swaysettings-git
Version:    v0.5.0.0.git.228.3a21cb25
Release:    228%{?dist}
Summary:    A gui for setting sway wallpaper, default apps, GTK themes, etc...
License:    GPLv3
URL:        https://github.com/ErikReider/SwaySettings
VCS:        git+https://github.com/ErikReider/SwaySettings.git#3a21cb25f0091ef0826e3a8ec2ed4fc6cf46c6f5:
Source:     SwaySettings-3a21cb25.tar.gz

BuildRequires:    meson >= 0.60.0
BuildRequires:    vala
BuildRequires:    git

BuildRequires: gtk4-devel >= 4.16
BuildRequires: gtk4-layer-shell-devel
BuildRequires: libadwaita-devel >= 1.6
BuildRequires: granite-7-devel >= 7.5
BuildRequires: pulseaudio-libs-devel
BuildRequires: accountsservice-devel
BuildRequires: bluez-libs-devel
BuildRequires: blueprint-compiler
BuildRequires: glib2-devel >= 2.50
BuildRequires: gobject-introspection-devel >= 1.68
BuildRequires: libgee-devel >= 0.20
BuildRequires: json-glib-devel >= 1.0
BuildRequires: libudisks2-devel
BuildRequires: libgtop2-devel
BuildRequires: systemd-devel
BuildRequires: systemd
BuildRequires: scdoc
Requires: dbus
Requires: bluez
Requires: libgtop2
Requires: udisks2
Requires: glib2
Requires: accountsservice
Requires: gtk4-layer-shell

%{?systemd_requires}

%description
A gui for setting sway wallpaper, default apps, GTK themes, etc...

%prep
%setup -T -b 0 -q -n SwaySettings

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%{_bindir}/swaysettings
%{_bindir}/sway-wallpaper
%{_bindir}/sway-autostart
%license COPYING
%{_datadir}/glib-2.0/schemas/org.erikreider.swaysettings.gschema.xml
%{_datadir}/appdata/org.erikreider.swaysettings.appdata.xml
%{_datadir}/applications/org.erikreider.swaysettings.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.erikreider.swaysettings.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.erikreider.swaysettings-symbolic.svg

# Changelog will be empty until you make first annotated Git tag.
%changelog
